#include <perms.h>

                                                                //      1  %begin
#line 1 "regression-bugs-tmp/strtest.imp"
int main(int argc, char **argv) {
  _imp_initialise(argc, argv);
                                                                //      2    %const %string (1) snl = "
#line 2 "regression-bugs-tmp/strtest.imp"
const _imp_string /*%string(1)*/ SNL = _imp_str_literal("\n");
                                                                //      3  "
                                                                //      4    %string(255) s
#line 4 "regression-bugs-tmp/strtest.imp"
_imp_string /*%string(255)*/ S;
                                                                //      5    s = "ABCD"
#line 5 "regression-bugs-tmp/strtest.imp"
S = _imp_str_literal("ABCD");
                                                                //      6    
                                                                //      7    printstring("Test #1"); newline
#line 7 "regression-bugs-tmp/strtest.imp"
_imp_PRINTSTRING(_imp_str_literal("Test #1"));
#line 7 "regression-bugs-tmp/strtest.imp"
_imp_NEWLINE();
                                                                //      8    printstring("Test #2".s); newline
#line 8 "regression-bugs-tmp/strtest.imp"
_imp_PRINTSTRING(_imp_join((_imp_string)_imp_str_literal("Test #2"),(_imp_string)S));
#line 8 "regression-bugs-tmp/strtest.imp"
_imp_NEWLINE();
                                                                //      9    printstring("Test #2".snl)
#line 9 "regression-bugs-tmp/strtest.imp"
_imp_PRINTSTRING(_imp_join((_imp_string)_imp_str_literal("Test #2"),(_imp_string)SNL));
                                                                //     10    
                                                                //     11  %endofprogram
#line 11 "regression-bugs-tmp/strtest.imp"
/* Remove %on %event handler here if present for this block */
return 0;
} // End of block _imp_main at level 1
#line 11 "regression-bugs-tmp/strtest.imp"
// End of file
